cascading.flow

## Interface FlowStepDescriptors

-     public interface FlowStepDescriptors

  Constants to be used as key in `FlowStep.getFlowStepDescriptor()`.

  See also `FlowDescriptors`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DESCRIPTION` Briefly describes the current FlowStep *
    `static String` | `EXTERNAL_ID` Id of the FlowStep in an external system *
    `static String` | `EXTERNAL_NAME` Name of the FlowStep in an external system *
    `static String` | `EXTERNAL_URL` URL of the FlowStep in an external system *
    `static String` | `VALUE_SEPARATOR` String that can be used as a record separator.

- - ### Field Detail

    - #### VALUE_SEPARATOR

          static final String VALUE_SEPARATOR

      String that can be used as a record separator.
      See Also:
        Constant Field Values

    - #### DESCRIPTION

          static final String DESCRIPTION

      Briefly describes the current FlowStep *
      See Also:
        Constant Field Values

    - #### EXTERNAL_ID

          static final String EXTERNAL_ID

      Id of the FlowStep in an external system *
      See Also:
        Constant Field Values

    - #### EXTERNAL_NAME

          static final String EXTERNAL_NAME

      Name of the FlowStep in an external system *
      See Also:
        Constant Field Values

    - #### EXTERNAL_URL

          static final String EXTERNAL_URL

      URL of the FlowStep in an external system *
      See Also:
        Constant Field Values

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.